Bug 1472225 (CVE-2017-7777) - CVE-2017-7777 graphite2: use of uninitialized memory "graphite2::GlyphCache::Loader::read_glyph"
Summary: CVE-2017-7777 graphite2: use of uninitialized memory "graphite2::GlyphCache::...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2017-7777
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1472290 1472291 1472292
Blocks: 1469141
TreeView+ depends on / blocked
 
Reported: 2017-07-18 09:33 UTC by Stefan Cornelius
Modified: 2019-09-29 14:16 UTC (History)
5 users (show)

Fixed In Version: graphite2 1.3.10
Doc Type: If docs needed, set a value
Doc Text:
The use of uninitialized memory related to "graphite2::GlyphCache::Loader::read_glyph" has been reported in graphite2. An attacker could possibly exploit this flaw to negatively impact the execution of an application using graphite2 in unknown ways.
Clone Of:
Environment:
Last Closed: 2017-07-21 09:13:15 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:1793 normal SHIPPED_LIVE Important: graphite2 security update 2017-07-21 03:16:00 UTC

Description Stefan Cornelius 2017-07-18 09:33:06 UTC
The use of uninitialized memory related to "graphite2::GlyphCache::Loader::read_glyph" has been reported in graphite2. An attacker could possibly exploit this flaw to negatively impact the execution of an application
using graphite2 in unknown ways.

Comment 1 Stefan Cornelius 2017-07-18 09:33:23 UTC
Acknowledgments:

Name: the Mozilla project
Upstream: Holger Fuhrmannek, Tyson Smith

Comment 4 errata-xmlrpc 2017-07-20 23:17:40 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2017:1793 https://access.redhat.com/errata/RHSA-2017:1793


Note You need to log in before you can comment on or make changes to this bug.